]> git.pld-linux.org Git - packages/rpm.git/blame - rpm.spec
- package our rpmrc
[packages/rpm.git] / rpm.spec
CommitLineData
52c10eff 1#
2# TODO:
e8836e1f 3# - rebuild database after upgrading from rpm5
c296fee0 4# - when adopting, use 4.5 ticket for checklist: https://bugs.launchpad.net/pld-linux/+bug/262985
76005b82 5#
89427592 6# Conditional build:
0a1ccab0 7%bcond_without apidocs # don't generate documentation with doxygen
f9d0e5f6
JR
8%bcond_without python2 # don't build python bindings
9%bcond_without python3 # don't build python bindings
b0333243 10%bcond_without plugins # build plugins
af0cc499 11%bcond_without recommends_tags # build without Recommends tag (bootstrapping)
fb35e2d9 12%bcond_with db61 # use DB 6.1 instead of 5.3
858aa7d0 13
003a039e 14# versions of required libraries
7f47af9c
JB
15%if %{with db61}
16%define reqdb_pkg db6.1
17%define reqdb_ver 6.1
18%define reqdb_pkgver 6.1.19
5f3f5bd6 19%else
fb35e2d9
JR
20%define reqdb_pkg db5.3
21%define reqdb_ver 5.3
22%define reqdb_pkgver 5.3.28.0
5f3f5bd6 23%endif
ec44785a 24%define reqpopt_ver 1.15
fb35e2d9 25%define openssl_ver 1.1.1d
2f409bb7 26%define sover 9.0.1
fc60c9f3 27
e5f02e49 28Summary: RPM Package Manager
4ea2ed33
ER
29Summary(de.UTF-8): RPM Packet-Manager
30Summary(es.UTF-8): Gestor de paquetes RPM
31Summary(pl.UTF-8): Aplikacja do zarządzania pakietami RPM
32Summary(pt_BR.UTF-8): Gerenciador de pacotes RPM
33Summary(ru.UTF-8): Менеджер пакетов от RPM
34Summary(uk.UTF-8): Менеджер пакетів від RPM
76214164 35Name: rpm
6ecfe7c2 36Version: 4.15.1
98d9fc8e 37Release: 0.1
9fe07969 38Epoch: 1
98d9fc8e 39License: GPL v2 / LGPL v2.1
76214164 40Group: Base
6ecfe7c2
JR
41Source0: http://ftp.rpm.org/releases/rpm-4.15.x/%{name}-%{version}.tar.bz2
42# Source0-md5: ed72147451a5ed93b2a48e2f8f5413c3
ff7bc1e6 43Source1: %{name}.groups
396a7387 44Source2: macros.pld
ff7bc1e6 45Source3: %{name}-install-tree
80b8a1f9 46Source4: %{name}-find-spec-bcond
cf709a39 47Source5: %{name}-hrmib-cache
80b8a1f9
JB
48Source6: %{name}-groups-po.awk
49Source7: %{name}-compress-doc
0bf34f68
JR
50Source8: %{name}-php-provides
51Source9: %{name}-php-requires
52Source10: %{name}.sysinfo
53Source11: perl.prov
54Source12: %{name}-user_group.sh
55Source13: %{name}.sysconfig
56Source14: %{name}-java-requires
a4b7ef27 57# http://svn.pld-linux.org/banner.sh/
0bf34f68 58Source15: banner.sh
34f36471 59Source16: ftp://ftp.pld-linux.org/dists/th/PLD-3.0-Th-GPG-key.asc
e1b97821 60# Source16-md5: 23914bb49fafe7153cee87126d966461
0bf34f68
JR
61Source17: %{name}-mimetypedeps
62Source18: macros.local
f09b01ac
ER
63Source19: %{name}.noautocompressdoc
64Source20: %{name}.noautoprov
65Source21: %{name}.noautoprovfiles
66Source22: %{name}.noautoreq
f09b01ac 67Source24: %{name}.noautoreqfiles
0bf34f68 68Source25: %{name}-php-requires.php
f09b01ac 69Source26: %{name}db_checkversion.c
b1541d4c 70Source27: macros.lang
f09b01ac 71Source28: %{name}db_reset.c
14138aba 72Source29: dbupgrade.sh
e2489d8e 73Source30: rubygems.rb
63194730 74Source31: gem_helper.rb
fde810b9 75Source32: rpmrc.pld
af0cc499
JR
76Patch0: %{name}-man_pl.patch
77Patch1: %{name}-popt-aliases.patch
78Patch2: %{name}-perl-macros.patch
79Patch3: %{name}-perl-req-perlfile.patch
80Patch4: %{name}-scripts-closefds.patch
81Patch5: %{name}-php-macros.patch
82Patch6: %{name}-lua.patch
83Patch7: %{name}-perl_req-INC_dirs.patch
84Patch8: %{name}-debuginfo.patch
85Patch9: %{name}-javadeps.patch
86Patch10: %{name}-libtool-deps.patch
87Patch11: %{name}-builddir-readlink.patch
88Patch12: %{name}-changelog_order_check_nonfatal.patch
89Patch13: %{name}-postun-nofail.patch
90Patch14: %{name}-clean-docdir.patch
91Patch15: %{name}-perl-magic.patch
92Patch16: %{name}-ignore-missing-macro-files.patch
93Patch17: x32.patch
94Patch18: %{name}-fix-compress-doc.patch
e8836e1f 95Patch20: rpm5-db-compat.patch
dc049f22 96Patch21: python-internal-build.patch
681ee2f6 97URL: https://rpm.org/
cf169f7c 98BuildRequires: %{reqdb_pkg}-devel >= %{reqdb_pkgver}
cf169f7c 99BuildRequires: %{reqdb_pkg}-sql-devel >= %{reqdb_pkgver}
29855fc2 100BuildRequires: autoconf >= 2.63
644d8958 101BuildRequires: automake >= 1.4
33be5db0 102BuildRequires: bzip2-devel >= 1.0.2-17
33be5db0 103BuildRequires: elfutils-devel >= 0.108
3e70c06e 104BuildRequires: gettext-tools >= 0.19.2
af0cc499 105BuildRequires: libarchive-devel
241257bf 106BuildRequires: libmagic-devel
d1f5e279 107BuildRequires: openssl-devel >= %{openssl_ver}
b0333243
JR
108%if %{with plugins}
109BuildRequires: audit-libs-devel
110BuildRequires: dbus-devel
6e115b23 111BuildRequires: libselinux-devel >= 2.1.0
6e115b23 112%endif
84cdee7a
JB
113# needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
114BuildRequires: libstdc++-devel
b60c74c3 115BuildRequires: libtool >= 1:1.4.2-9
5c767dc1 116BuildRequires: lua53-devel >= 5.3.5
127a0b3c 117BuildRequires: ossp-uuid-devel
7973b351 118BuildRequires: patch >= 2.2
1d49ffbc 119BuildRequires: popt-devel >= %{reqpopt_ver}
f9d0e5f6
JR
120%{?with_python2:BuildRequires: python-devel >= 1:2.3}
121%{?with_python3:BuildRequires: python3-devel}
950eead3 122BuildRequires: python-modules >= 1:2.3
f9d0e5f6
JR
123%if %{with python2} || %{with python3}
124BuildRequires: rpm-pythonprov
125%endif
e56a10a9 126BuildRequires: tcl
77fcdbf7 127BuildRequires: xz-devel
3acb62f3 128BuildRequires: zlib-devel
34865f27 129BuildRequires: zstd-devel
5c2ab5c7
AM
130%if %{with apidocs}
131BuildRequires: doxygen
132BuildRequires: ghostscript
133BuildRequires: graphviz
134BuildRequires: tetex-pdftex
135%endif
d25ec6ea 136Requires(posttrans): coreutils
9fe07969
JR
137Requires: %{name}-base = %{epoch}:%{version}-%{release}
138Requires: %{name}-lib = %{epoch}:%{version}-%{release}
d1f5e279 139Requires: FHS >= 3.0-2
fb35e2d9 140Requires: openssl >= %{openssl_ver}
10abbd40 141Requires: popt >= %{reqpopt_ver}
b0333243
JR
142%if %{with recommends_tags}
143Recommends: rpm-plugin-audit
144Recommends: rpm-plugin-prioreset
145Recommends: rpm-plugin-syslog
146Recommends: rpm-plugin-systemd-inhibit
147%endif
0229a8b9
AM
148Provides: rpm-db-ver = %{reqdb_ver}
149Obsoletes: rpm-getdeps
d1f5e279 150Obsoletes: rpm-utils-perl
f57f030d 151Obsoletes: rpm-utils-static
874f4c9a 152Conflicts: glibc < 2.2.92
8ee1c72c
AM
153# db4.6 poldek needed
154Conflicts: poldek < 0.21-0.20070703.00.3
d268a169
AM
155# segfaults with lzma 0.42.2
156Conflicts: lzma-libs < 4.999.3
e4084afd 157Conflicts: util-vserver < 0.30.216-1.pre3034.7
1d49ffbc 158BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
6d82b332 159
4adb7d05 160%define _binary_payload w9.gzdio
6d82b332 161
4cd84746 162# don't require very fresh rpm.macros to build
950eead3 163%define find_lang sh ./scripts/find-lang.sh $RPM_BUILD_ROOT
af0cc499 164%define ix86 i386 i486 i586 i686 athlon geode pentium3 pentium4
80e9f34d 165%define ppc ppc ppc7400 ppc7450
9f517079 166%define x8664 amd64 ia32e x86_64
4cd84746 167
d755a548 168%define _rpmlibdir /usr/lib/rpm
950eead3 169%define _noautocompressdoc RPM-GPG-KEY
d755a548 170
ff7bc1e6 171%description
172RPM is a powerful package manager, which can be used to build,
173install, query, verify, update, and uninstall individual software
cf6faebc 174packages. A package consists of an archive of files, and package
fed73700 175information, including name, version, and description.
176
dd85fadc
JR
177%description -l de.UTF-8
178RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
fed73700 179Installation, Anfrage, Verifizierung, Aktualisierung und
180Uninstallation individueller Softwarepakete. Ein Paket besteht aus
181einem Archiv Dateien und Paketinformation, inklusive Name, Version und
313a4d1a 182Beschreibung.
183
dd85fadc 184%description -l es.UTF-8
313a4d1a 185RPM es un poderoso administrador de paquetes, que puede ser usado para
186construir, instalar, pesquisar, verificar, actualizar y desinstalar
187paquetes individuales de software. Un paquete consiste en un
dd85fadc
JR
188almacenaje de archivos, y información sobre el paquete, incluyendo
189nombre, versión y descripción.
190
191%description -l pl.UTF-8
192RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
193przebudowanie, instalację czy weryfikację dowolnego pakietu.
194Informacje dotyczące każdego pakietu, takie jak jego opis, lista
195plików wchodzących w skład pakietu, zależności od innych pakietów, są
196przechowywane w bazie danych i można je uzyskać za pomocą opcji
313a4d1a 197odpytywania programu rpm.
198
dd85fadc
JR
199%description -l pt_BR.UTF-8
200RPM é um poderoso gerenciador de pacotes, que pode ser usado para
313a4d1a 201construir, instalar, pesquisar, verificar, atualizar e desinstalar
202pacotes individuais de software. Um pacote consiste de um conjunto de
dd85fadc
JR
203arquivos e informações adicionais, incluindo nome, versão e descrição
204do pacote, permissões dos arquivos, etc.
205
206%description -l ru.UTF-8
207RPM - это мощный менеджер пакетов, который может быть использован для
208создания, инсталляции, запросов (query), проверки, обновления и
209удаления программных пакетов. Пакет состоит из файлового архива и
210служебной информации, включающей название, версию, описание и другие
211данные о пакете.
212
213%description -l uk.UTF-8
214RPM - це потужний менеджер пакетів, що може бути використаний для
215створення, інсталяції, запитів (query), перевірки, поновлення та
216видалення програмних пакетів. Пакет складається з файлового архіву та
217службової інформації, що містить назву, версію, опис та іншу
218інформацію про пакет.
7c6dc55f 219
66edd895
JB
220%package base
221Summary: RPM base package - scripts used by rpm packages themselves
4ea2ed33 222Summary(pl.UTF-8): Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
66edd895 223Group: Base
1d9ca0c1 224Requires: filesystem
950eead3 225Obsoletes: rpm-scripts
66edd895
JB
226Obsoletes: vserver-rpm
227
228%description base
229The RPM base package contains scripts used by rpm packages themselves.
230These include:
231- scripts for adding/removing groups and users needed for rpm
232 packages,
233- banner.sh to display %%banner messages from rpm scriptlets.
234
dd85fadc
JR
235%description base -l pl.UTF-8
236Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
66edd895 237Zawiera on:
dd85fadc
JR
238- skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
239- banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.
66edd895 240
69131f1a
JB
241%package lib
242Summary: RPMs library
4ea2ed33 243Summary(pl.UTF-8): Biblioteki RPM-a
69131f1a 244Group: Libraries
cf169f7c 245Requires: %{reqdb_pkg} >= %{reqdb_pkgver}
cf169f7c 246Requires: %{reqdb_pkg}-sql >= %{reqdb_pkgver}
241257bf 247Requires: libmagic >= 1.15-2
d1f5e279 248Requires: openssl >= %{openssl_ver}
69131f1a 249Requires: popt >= %{reqpopt_ver}
d1795eb0 250Obsoletes: rpm-libs
69131f1a
JB
251# avoid SEGV caused by mixed db versions
252Conflicts: poldek < 0.18.1-16
253
254%description lib
255RPMs library.
256
dd85fadc 257%description lib -l pl.UTF-8
69131f1a
JB
258Biblioteki RPM-a.
259
fed73700 260%package devel
3f2d796a 261Summary: Header files for rpm libraries
4ea2ed33
ER
262Summary(de.UTF-8): Header-Dateien für rpm Libraries
263Summary(es.UTF-8): Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
264Summary(pl.UTF-8): Pliki nagłówkowe bibliotek rpm
265Summary(pt_BR.UTF-8): Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
266Summary(ru.UTF-8): Хедеры и библиотеки для программ, работающих с rpm-пакетами
267Summary(uk.UTF-8): Хедери та бібліотеки для програм, що працюють з пакетами rpm
89f92de0 268Group: Development/Libraries
9fe07969 269Requires: %{name}-lib = %{epoch}:%{version}-%{release}
cf169f7c 270Requires: %{reqdb_pkg}-devel >= %{reqdb_pkgver}
fea3cb89 271Requires: bzip2-devel
5c583f90 272Requires: elfutils-devel
241257bf 273Requires: libmagic-devel
d1f5e279 274Requires: openssl-devel >= %{openssl_ver}
c7b2d5f9
KK
275%if %{with selinux}
276Requires: libselinux-devel
277Requires: libsemanage-devel
278Requires: libsepol-devel
279%endif
a998ac11 280Requires: popt-devel >= %{reqpopt_ver}
fea3cb89 281Requires: zlib-devel
cf6faebc 282
283%description devel
3f2d796a
JB
284The RPM packaging system includes C libraries that make it easy to
285manipulate RPM packages and databases. They are intended to ease the
cf6faebc 286creation of graphical package managers and other tools that need
3f2d796a
JB
287intimate knowledge of RPM packages. This package contains header files
288for these libraries.
fed73700 289
dd85fadc
JR
290%description devel -l de.UTF-8
291Der RPM-Packensystem enthält eine C-Library, die macht es einfach
292RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
fed73700 293Vereinfachung des Schaffens grafischer Paket-Manager und anderer
313a4d1a 294Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.
295
dd85fadc 296%description devel -l es.UTF-8
313a4d1a 297El sistema de empaquetado RPM incluye una biblioteca C que vuelve
dd85fadc
JR
298fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
299facilitar la creación de administradores gráficos de paquetes y otras
20f89981 300herramientas que necesiten un conocimiento profundo de paquetes RPM.
9e42d68a 301
dd85fadc
JR
302%description devel -l pl.UTF-8
303System RPM zawiera biblioteki C, które ułatwiają manipulowanie
304pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
305graficznych programów zarządzających pakietami oraz innych narzędzi,
306które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
307zawiera pliki nagłówkowe wspomnianych bibliotek.
308
309%description devel -l pt_BR.UTF-8
310O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
311a manipulação de pacotes e bases de dados RPM. Seu objetivo é
312facilitar a criação de gerenciadores gráficos de pacotes e outras
edacdf8f 313ferramentas que precisem de conhecimento profundo de pacotes RPM.
314
dd85fadc
JR
315%description devel -l ru.UTF-8
316Система управления пакетами RPM содержит библиотеку C, которая
317упрощает манипуляцию пакетами RPM и соответствующими базами данных.
318Эта библиотека предназначена для облегчения создания графических
319пакетных менеджеров и других утилит, которым необходимо работать с
320пакетами RPM.
7c6dc55f 321
dd85fadc
JR
322%description devel -l uk.UTF-8
323Система керування пакетами RPM містить бібліотеку C, котра спрощує
324роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
325призначена для полегшення створення графічних пакетних менеджерів та
326інших утиліт, що працюють з пакетами RPM.
7c6dc55f 327
fed73700 328%package utils
8482995c 329Summary: Additional utilities for managing RPM packages and database
4ea2ed33
ER
330Summary(de.UTF-8): Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
331Summary(pl.UTF-8): Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
edacdf8f 332Group: Applications/File
9fe07969 333Requires: %{name} = %{epoch}:%{version}-%{release}
a998ac11 334Requires: popt >= %{reqpopt_ver}
af0cc499
JR
335%if %{with recommends_tags}
336Recommends: bzip2
337Recommends: gzip
86b85368 338%endif
695e60ad 339Conflicts: filesystem-debuginfo < 3.0-16
edacdf8f 340
341%description utils
8482995c 342Additional utilities for managing RPM packages and database.
fed73700 343
dd85fadc
JR
344%description utils -l de.UTF-8
345Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.
9e42d68a 346
dd85fadc
JR
347%description utils -l pl.UTF-8
348Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.
fed73700 349
fed73700 350%package build
e191287c 351Summary: Scripts for building binary RPM packages
4ea2ed33
ER
352Summary(de.UTF-8): Scripts fürs Bauen binärer RPM-Pakete
353Summary(pl.UTF-8): Skrypty pomocnicze do budowania binarnych RPM-ów
354Summary(pt_BR.UTF-8): Scripts e programas executáveis usados para construir pacotes
355Summary(ru.UTF-8): Скрипты и утилиты, необходимые для сборки пакетов
356Summary(uk.UTF-8): Скрипти та утиліти, необхідні для побудови пакетів
e191287c 357Group: Applications/File
f15ca8ca
ER
358Requires(pretrans): coreutils
359Requires(pretrans): findutils
716fe3ca 360Requires: %{name}-build-macros >= 1.712
9fe07969 361Requires: %{name}-utils = %{epoch}:%{version}-%{release}
e191287c 362Requires: /bin/id
363Requires: awk
cfa7898a 364Requires: bzip2
e950a6d7 365Requires: chrpath >= 0.10-4
b6547e10 366Requires: cpio
e191287c 367Requires: diffutils
195f647c 368Requires: elfutils
583135b4 369Requires: file >= 4.17
e191287c 370Requires: fileutils
371Requires: findutils
950eead3
ER
372%ifarch athlon
373Requires: gcc >= 3.0.3
374%else
375Requires: gcc
376%endif
e191287c 377Requires: glibc-devel
378Requires: grep
379Requires: gzip
380Requires: make
381Requires: patch
adbd4815 382Requires: sed >= 4.0
e191287c 383Requires: sh-utils
adbd4815 384Requires: tar >= 1:1.22
e191287c 385Requires: textutils
3acb62f3 386Requires: which
adbd4815 387Requires: xz
ca3648b1 388Provides: rpmbuild(monoautodeps)
37ea389a 389Provides: rpmbuild(noauto) = 3
02d17bf9 390%ifarch %{x8664}
195f647c
JB
391Conflicts: automake < 1:1.7.9-2
392Conflicts: libtool < 2:1.5-13
393%endif
0096c5cd 394
e2025ad1 395%description build
58399c37 396Scripts for building binary RPM packages.
fed73700 397
dd85fadc
JR
398%description build -l de.UTF-8
399Scripts fürs Bauen binärer RPM-Pakete.
9e42d68a 400
dd85fadc
JR
401%description build -l pl.UTF-8
402Skrypty pomocnicze do budowania binarnych RPM-ów.
313a4d1a 403
dd85fadc
JR
404%description build -l pt_BR.UTF-8
405Este pacote contém scripts e programas executáveis que são usados para
cf6faebc 406construir pacotes usando o RPM.
e73478cd 407
dd85fadc
JR
408%description build -l ru.UTF-8
409Различные вспомогательные скрипты и исполняемые программы, которые
410используются для сборки RPM'ов.
7c6dc55f 411
dd85fadc
JR
412%description build -l uk.UTF-8
413Різноманітні допоміжні скрипти та утиліти, які використовуються для
414побудови RPM'ів.
7c6dc55f 415
8482995c
JB
416%package javaprov
417Summary: Additional utilities for checking Java provides/requires in RPM packages
418Summary(pl.UTF-8): Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach RPM
419Group: Applications/File
9fe07969 420Requires: %{name} = %{epoch}:%{version}-%{release}
8482995c
JB
421Requires: file
422Requires: findutils >= 1:4.2.26
423Requires: mktemp
424Requires: unzip
425
426%description javaprov
427Additional utilities for checking Java provides/requires in RPM
428packages.
429
430%description javaprov -l pl.UTF-8
431Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach
432RPM.
433
69131f1a 434%package perlprov
8482995c 435Summary: Additional utilities for checking Perl provides/requires in RPM packages
4ea2ed33 436Summary(de.UTF-8): Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
8482995c 437Summary(pl.UTF-8): Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
69131f1a 438Group: Applications/File
9fe07969 439Requires: %{name} = %{epoch}:%{version}-%{release}
b82853ee 440Requires: perl-Encode
69131f1a
JB
441Requires: perl-devel
442Requires: perl-modules
443
444%description perlprov
8482995c 445Additional utilities for checking Perl provides/requires in RPM
69131f1a
JB
446packages.
447
dd85fadc
JR
448%description perlprov -l de.UTF-8
449Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.
69131f1a 450
dd85fadc 451%description perlprov -l pl.UTF-8
8482995c
JB
452Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
453pakietach RPM.
69131f1a
JB
454
455%package pythonprov
8482995c
JB
456Summary: Python macros, which simplifies creation of RPM packages with Python software
457Summary(pl.UTF-8): Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
69131f1a 458Group: Applications/File
9fe07969 459Requires: %{name} = %{epoch}:%{version}-%{release}
cd800b3c 460Requires: python
3acb62f3 461Requires: python-modules
d1f5e279 462Requires: python-setuptools
69131f1a
JB
463
464%description pythonprov
8482995c 465Python macros, which simplifies creation of RPM packages with Python
69131f1a
JB
466software.
467
dd85fadc 468%description pythonprov -l pl.UTF-8
8482995c 469Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
69131f1a
JB
470Pythonie.
471
472%package php-pearprov
8482995c
JB
473Summary: Additional utilities for checking PHP PEAR provides/requires in RPM packages
474Summary(pl.UTF-8): Dodatkowe narzędzia do sprawdzania zależności skryptów php w RPM
69131f1a 475Group: Applications/File
9fe07969 476Requires: %{name} = %{epoch}:%{version}-%{release}
632f1b5c 477Requires: sed >= 4.0
1b39d378 478Suggests: php-pear-PHP_CompatInfo
69131f1a
JB
479
480%description php-pearprov
8482995c 481Additional utilities for checking PHP PEAR provides/requires in RPM
69131f1a
JB
482packages.
483
dd85fadc 484%description php-pearprov -l pl.UTF-8
8482995c
JB
485Dodatkowe narzędzia do sprawdzenia zależności skryptów PHP PEAR w
486pakietach RPM.
69131f1a 487
ec49e9fb
ER
488%package rubyprov
489Summary: Ruby tools, which simplify creation of RPM packages with Ruby software
490Summary(pl.UTF-8): Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Ruby
491Group: Applications/File
9fe07969 492Requires: %{name} = %{epoch}:%{version}-%{release}
ec49e9fb
ER
493Requires: ruby
494Requires: ruby-modules
b53b1f84 495Requires: ruby-rubygems
ec49e9fb
ER
496
497%description rubyprov
498Ruby tools, which simplifies creation of RPM packages with Ruby
499software.
500
501%description rubyprov -l pl.UTF-8
502Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
503Ruby.
504
69131f1a
JB
505%package -n python-rpm
506Summary: Python interface to RPM library
4ea2ed33
ER
507Summary(pl.UTF-8): Pythonowy interfejs do biblioteki RPM-a
508Summary(pt_BR.UTF-8): Módulo Python para aplicativos que manipulam pacotes RPM
69131f1a 509Group: Development/Languages/Python
9fe07969 510Requires: %{name} = %{epoch}:%{version}-%{release}
3acb62f3 511Requires: python
69131f1a
JB
512Obsoletes: rpm-python
513
514%description -n python-rpm
f9d0e5f6 515The python-rpm package contains a module which permits applications
69131f1a
JB
516written in the Python programming language to use the interface
517supplied by RPM (RPM Package Manager) libraries.
518
519This package should be installed if you want to develop Python
520programs that will manipulate RPM packages and databases.
521
dd85fadc 522%description -n python-rpm -l pl.UTF-8
f9d0e5f6 523Pakiet python-rpm zawiera moduł, który pozwala aplikacjom napisanym w
dd85fadc 524Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.
69131f1a 525
dd85fadc
JR
526Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
527Pythonie programy manipulujące pakietami i bazami danych rpm.
69131f1a 528
dd85fadc 529%description -n python-rpm -l pt_BR.UTF-8
f9d0e5f6 530O pacote python-rpm contém um módulo que permite que aplicações
69131f1a
JB
531escritas em Python utilizem a interface fornecida pelas bibliotecas
532RPM (RPM Package Manager).
533
dd85fadc 534Esse pacote deve ser instalado se você quiser desenvolver programas em
69131f1a
JB
535Python para manipular pacotes e bancos de dados RPM.
536
f9d0e5f6
JR
537%package -n python3-rpm
538Summary: Python 3 interface to RPM library
539Summary(pl.UTF-8): Interfejs Pythona 3 do biblioteki RPM-a
540Summary(pt_BR.UTF-8): Módulo Python 3 para aplicativos que manipulam pacotes RPM
541Group: Development/Languages/Python
9fe07969 542Requires: %{name} = %{epoch}:%{version}-%{release}
f9d0e5f6
JR
543Requires: python3
544
545%description -n python3-rpm
546The python3-rpm package contains a module which permits applications
547written in the Python 3 programming language to use the interface
548supplied by RPM (RPM Package Manager) libraries.
549
550This package should be installed if you want to develop Python 3
551programs that will manipulate RPM packages and databases.
552
553%description -n python3-rpm -l pl.UTF-8
554Pakiet python3-rpm zawiera moduł, który pozwala aplikacjom napisanym w
555Pythonie 3 na używanie interfejsu dostarczanego przez biblioteki RPM-a.
556
557Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
558Pythonie 3 programy manipulujące pakietami i bazami danych rpm.
559
560%description -n python3-rpm -l pt_BR.UTF-8
561O pacote python3-rpm contém um módulo que permite que aplicações
562escritas em Python 3 utilizem a interface fornecida pelas bibliotecas
563RPM (RPM Package Manager).
564
565Esse pacote deve ser instalado se você quiser desenvolver programas em
566Python 3 para manipular pacotes e bancos de dados RPM.
567
b0333243
JR
568%package plugin-audit
569Summary: Plugin for logging audit events on package operations
570Group: System/Base
9fe07969 571Requires: %{name}-lib = %{epoch}:%{version}-%{release}
b0333243
JR
572
573%description plugin-audit
574Plugin for libaudit support
575
576%package plugin-syslog
577Summary: Plugin for syslog functionality
578Group: System/Base
9fe07969 579Requires: %{name}-lib = %{epoch}:%{version}-%{release}
b0333243
JR
580
581%description plugin-syslog
582This plugin exports RPM actions to the system log.
583
584%package plugin-systemd-inhibit
585Summary: Plugin for systemd inhibit functionality
586Group: System/Base
9fe07969 587Requires: %{name}-lib = %{epoch}:%{version}-%{release}
b0333243
JR
588
589%description plugin-systemd-inhibit
590This plugin blocks systemd from entering idle, sleep or shutdown while
591an rpm transaction is running using the systemd-inhibit mechanism.
592
593%package plugin-ima
594Summary: Plugin for IMA file signatures
595Group: Base
9fe07969 596Requires: %{name}-lib = %{epoch}:%{version}-%{release}
b0333243
JR
597
598%description plugin-ima
599This plugin adds support for enforcing and verifying IMA file
600signatures in an rpm.
601
602%package plugin-prioreset
603Summary: Plugin for resetting scriptlet priorities for SysV init
604Group: Base
9fe07969 605Requires: %{name}-lib = %{epoch}:%{version}-%{release}
b0333243
JR
606
607%description plugin-prioreset
608This plugin is useful on legacy SysV init systems if you run rpm
609transactions with nice/ionice priorities. Should not be used on
610systemd systems.
611
612%package plugin-selinux
613Summary: Plugin for SELinux functionality
8191f3c5 614Group: Base
9fe07969 615Requires: %{name}-lib = %{epoch}:%{version}-%{release}
b0333243
JR
616Requires: libselinux >= 2.1.0
617
618%description plugin-selinux
619Plugin for SELinux functionality.
620
8191f3c5
JR
621%package sign
622Summary: Package signing support
623Group: Base
9fe07969 624Requires: %{name}-lib = %{epoch}:%{version}-%{release}
8191f3c5
JR
625
626%description sign
627This package contains support for digitally signing RPM packages.
628
5c2ab5c7
AM
629%package apidocs
630Summary: RPM API documentation and guides
631Summary(pl.UTF-8): Documentacja API RPM-a i przewodniki
632Group: Documentation
d308de4c 633BuildArch: noarch
5c2ab5c7
AM
634
635%description apidocs
636Documentation for RPM API and guides in HTML format generated from rpm
637sources by doxygen.
638
639%description apidocs -l pl.UTF-8
640Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
641źrodeł RPM-a przez doxygen.
642
e2025ad1 643%prep
c546a4d6 644%setup -q -n %{name}-%{version}%{?subver}
af0cc499 645%patch0 -p1
2f0ee4ec 646%patch1 -p1
4d5b8e4c 647%patch2 -p1
af0cc499 648%patch3 -p1
7a3b1f24
AM
649%patch4 -p1
650%patch5 -p1
3c7590cc 651%patch6 -p1
af0cc499
JR
652%patch7 -p0
653%patch8 -p1
c38bf1df 654%patch9 -p1
af0cc499
JR
655%patch10 -p1
656%patch11 -p1
657%patch12 -p1
658%patch13 -p1
659%patch14 -p1
7033e976 660%patch15 -p1
af0cc499
JR
661%patch16 -p1
662%patch17 -p1
663#%patch18 -p1
e8836e1f 664%patch20 -p1
dc049f22 665%patch21 -p1
883e0fac 666
34865f27
JR
667install %{SOURCE8} scripts/php.prov.in
668install %{SOURCE9} scripts/php.req.in
0bf34f68 669install %{SOURCE11} scripts/perl.prov.in
e2489d8e 670cp -p %{SOURCE30} scripts/rubygems.rb
63194730 671cp -p %{SOURCE31} scripts/gem_helper.rb
08697680 672
70f8787d 673%{__mv} -f scripts/perl.req{,.in}
633d1e9e 674
cd86db2e 675# generate Group translations to *.po
80b8a1f9 676awk -f %{SOURCE6} %{SOURCE1}
fefe9d30 677
91ee86a9 678install %{SOURCE26} tools/rpmdb_checkversion.c
8e8746c0 679install %{SOURCE28} tools/rpmdb_reset.c
91ee86a9 680
40675133
JR
681%{__sed} -i -e '1s,/usr/bin/python,%{__python},' scripts/pythondistdeps.py
682
87ef0d95 683%build
ea816ea6 684%{__libtoolize}
ceaaacee 685%{__aclocal}
4cd84746 686%{__autoheader}
7a9d72ce 687%{__autoconf}
7a9d72ce 688%{__automake}
7a9d72ce 689
048d06f8
JR
690# rpm checks for CPU type at runtime, but it looks better
691sed -i \
692 -e 's|@host@|%{_target_cpu}-%{_target_vendor}-%{_target_os}|' \
693 -e 's|@host_cpu@|%{_target_cpu}|' \
694 -e 's|@host_os@|%{_target_os}|' \
fb35e2d9 695 macros.in
048d06f8 696
5c767dc1 697CPPFLAGS="-I/usr/include/lua53 %{rpmcppflags}"
624f96ff 698%configure \
01d7a578 699 WITH_PERL_VERSION=no \
bba1059c 700 __GST_INSPECT=%{_bindir}/gst-inspect-1.0 \
dcf91c25 701 __GPG=%{_bindir}/gpg \
f9d0e5f6
JR
702 %{?with_python3:PYTHON=python3} \
703 %{!?with_python3:%{?with_python2:PYTHON=python2}} \
3a3e476f 704 --disable-silent-rules \
cd86db2e 705 --enable-shared \
34865f27 706 --enable-bdb \
af0cc499 707 --enable-zstd \
fb35e2d9 708 --with-crypto=openssl \
c38bf1df 709 --with-lua \
34865f27
JR
710 --with-cap \
711 --with-acl \
712 --with-audit \
af0cc499 713 --with-archive \
f9d0e5f6
JR
714%if %{with python2} || %{with python3}
715 --enable-python \
716%endif
b0333243
JR
717 --with-selinux=%{!?with_plugins:no}%{?with_plugins:yes} \
718 %{!?with_plugins:--disable-plugins} \
34865f27
JR
719 --with-vendor=pld
720
34865f27
JR
721# --enable-ndb (EXPERIMENTAL) enable the new rpm database format
722# --enable-lmdb=[yes/no/auto] (EXPERIMENTAL) build with LMDB rpm database format support (default=auto)
34865f27 723# --with-imaevm build with imaevm support
cf6faebc 724
5c767dc1 725%{__make}
5c2ab5c7 726
fb95de52
JR
727%{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_checkversion.c \
728 -o tools/rpmdb_checkversion -ldb-%{reqdb_ver}
8e8746c0
JR
729%{__cc} %{rpmcflags} -I/usr/include/db%{reqdb_ver} tools/rpmdb_reset.c \
730 -o tools/rpmdb_reset -ldb-%{reqdb_ver}
fb95de52
JR
731
732if tools/rpmdb_checkversion -V 2>&1 | grep "t match library version"; then
733 echo "Error linking rpmdb tools!"
734 exit 1
735fi
8e8746c0
JR
736if tools/rpmdb_reset -V 2>&1 | grep "t match library version"; then
737 echo "Error linking rpmdb tools!"
738 exit 1
739fi
91ee86a9 740
f9d0e5f6
JR
741%if %{with python2}
742cd python
743%py_build
744cd ..
745%endif
746
747%if %{with python3}
748cd python
749%py3_build
750%endif
751
b064b8e6 752%install
ff7bc1e6 753rm -rf $RPM_BUILD_ROOT
d1f5e279 754install -d $RPM_BUILD_ROOT{/bin,/%{_lib},/etc/sysconfig,%{_sysconfdir}/{rpm,pki/rpm-gpg}} \
7d12560f 755 $RPM_BUILD_ROOT{/var/lib/{banner,rpm},/var/cache/hrmib}
54eb1770 756
d1f5e279 757cp -p %{SOURCE16} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
76214164 758
d1f5e279 759%{__make} install \
241257bf
AM
760 pkgconfigdir=%{_pkgconfigdir} \
761 DESTDIR=$RPM_BUILD_ROOT
718426e1 762
c546a4d6 763# cleanup
c2683840 764%ifnarch %{ix86} %{x8664} x32
2f409bb7 765rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/athlon-linux/macros
34865f27 766rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/geode-linux/macros
2f409bb7
JR
767rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/i386-linux/macros
768rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/i486-linux/macros
769rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/i586-linux/macros
770rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/i686-linux/macros
771rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/pentium3-linux/macros
772rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/pentium4-linux/macros
25ac75ae
AM
773%endif
774
c2683840 775%ifnarch %{x8664} x32
2f409bb7
JR
776rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/amd64-linux/macros
777rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ia32e-linux/macros
778rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/x32-linux/macros
779rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/x86_64-linux/macros
25ac75ae
AM
780%endif
781
c546a4d6 782%ifnarch %{ppc}
34865f27
JR
783rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/m68k-linux/macros
784rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc32dy4-linux/macros
785rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc64*-linux/macros
786rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc8260-linux/macros
787rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc8560-linux/macros
2f409bb7 788rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc-linux/macros
34865f27 789rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ppc*series-linux/macros
25ac75ae
AM
790%endif
791
34865f27 792rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/aarch64-linux/macros
2f409bb7
JR
793rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/alpha*-linux/macros
794rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/arm*-linux/macros
795rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/ia64-linux/macros
796rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/mips*-linux/macros
34865f27 797rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/riscv64-linux/macros
2f409bb7 798rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/s390*-linux/macros
34865f27 799rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/sh*-linux/macros
2f409bb7 800rm $RPM_BUILD_ROOT%{_rpmlibdir}/platform/sparc*-linux/macros
c546a4d6 801
3a3e476f 802%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/find-lang.sh
644d8958 803
396a7387
JR
804install -d $RPM_BUILD_ROOT%{_rpmlibdir}/pld
805cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_rpmlibdir}/pld/macros
fde810b9 806cp -p %{SOURCE32} $RPM_BUILD_ROOT%{_rpmlibdir}/pld/rpmrc
396a7387 807
d1f5e279
JR
808cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
809cp -p %{SOURCE4} $RPM_BUILD_ROOT%{_rpmlibdir}/find-spec-bcond
810cp -p %{SOURCE7} $RPM_BUILD_ROOT%{_rpmlibdir}/compress-doc
811cp -p %{SOURCE12} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
812cp -p %{SOURCE14} $RPM_BUILD_ROOT%{_rpmlibdir}/java-find-requires
813cp -p scripts/php.{prov,req} $RPM_BUILD_ROOT%{_rpmlibdir}
0bf34f68 814cp -p %{SOURCE25} $RPM_BUILD_ROOT%{_rpmlibdir}/php.req.php
d1f5e279
JR
815cp -p %{SOURCE17} $RPM_BUILD_ROOT%{_rpmlibdir}/mimetypedeps.sh
816cp -p %{SOURCE5} $RPM_BUILD_ROOT%{_rpmlibdir}/hrmib-cache
817cp -p %{SOURCE13} $RPM_BUILD_ROOT/etc/sysconfig/rpm
e663e5ff 818
d1f5e279 819cp -p %{SOURCE15} $RPM_BUILD_ROOT%{_bindir}/banner.sh
7c6dc55f 820
950eead3
ER
821install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo
822
d1f5e279
JR
823cp -p %{SOURCE18} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros
824cp -p %{SOURCE27} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.lang
825cp -p %{SOURCE19} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc
826cp -p %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov
827cp -p %{SOURCE21} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles
828cp -p %{SOURCE22} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq
829cp -p %{SOURCE24} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles
08697680 830
950eead3
ER
831touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
832touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
d1f5e279 833cp -p %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
950eead3
ER
834touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
835touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
836touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename
fbc0ff35 837
f9d0e5f6
JR
838cp -p tools/rpmdb_checkversion $RPM_BUILD_ROOT%{_rpmlibdir}/
839cp -p tools/rpmdb_reset $RPM_BUILD_ROOT%{_rpmlibdir}/
840cp -p %{SOURCE29} $RPM_BUILD_ROOT%{_rpmlibdir}/dbupgrade.sh
9776a251 841
950eead3 842# move rpm to /bin
8191f3c5
JR
843%{__mv} $RPM_BUILD_ROOT%{_bindir}/rpm $RPM_BUILD_ROOT/bin
844ln -sf /bin/rpm $RPM_BUILD_ROOT%{_bindir}/rpmquery
845ln -sf /bin/rpm $RPM_BUILD_ROOT%{_bindir}/rpmverify
846
950eead3 847# move essential libs to /lib (libs that /bin/rpm links to)
40675133
JR
848for a in librpm.so librpmbuild.so librpmio.so librpmsign.so; do
849 mv -f $RPM_BUILD_ROOT%{_libdir}/${a}.* $RPM_BUILD_ROOT/%{_lib}
850 ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/${a}.*.*.*) $RPM_BUILD_ROOT%{_libdir}/${a}
c2673e18
AF
851done
852
7d12560f
JR
853#./rpmdb --macros=macros --rcfile=rpmrc --dbpath=/home/users/baggins/devel/PLD/rpm/BUILD/rpm-4.15.1/x/ --initdb
854
f9d0e5f6
JR
855%if %{with python2}
856# Remove anything that rpm make install might put there
857%{__rm} -rf $RPM_BUILD_ROOT%{py_sitedir}
858cd python
859%py_install
860%py_postclean
861cd ..
862%endif
6f18cdb7 863
f9d0e5f6
JR
864%if %{with python3}
865# Remove anything that rpm make install might put there
866%{__rm} -rf $RPM_BUILD_ROOT%{py3_sitedir}
867cd python
868%py3_install
869cd ..
dae5e1a8 870%endif
01d7a578 871
d1f5e279
JR
872%{__rm} $RPM_BUILD_ROOT%{_libdir}/rpm-plugins/*.la
873
01d7a578 874# wrong location, not used anyway
2f409bb7 875%{__rm} $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log}
01d7a578 876
90b03dd6 877%find_lang %{name}
cf6faebc 878
13eb5ebf 879%clean
d7df46b8 880rm -rf $RPM_BUILD_ROOT
76214164 881
cc1a4992
ER
882%pretrans
883# this needs to be a dir
884if [ -f %{_sysconfdir}/rpm/sysinfo ]; then
c1097150 885 umask 022
cc1a4992
ER
886 mv -f %{_sysconfdir}/rpm/sysinfo{,.rpmsave}
887 mkdir %{_sysconfdir}/rpm/sysinfo
888fi
889
be4d3036 890%posttrans
d25ec6ea 891if [ -e /var/lib/rpm/Packages ] && \
f9d0e5f6 892 ! %{_rpmlibdir}/rpmdb_checkversion -h /var/lib/rpm -d /var/lib/rpm; then
d25ec6ea 893 if [ ! -e /var/lib/rpm.rpmbackup-%{version}-%{release} ] && \
6a934782 894 /bin/cp -a /var/lib/rpm /var/lib/rpm.rpmbackup-%{version}-%{release}; then
8383afc3 895 echo
e4dd6a34 896 echo "Backup of the rpm database has been created in /var/lib/rpm.rpmbackup-%{version}-%{release}"
8383afc3
JR
897 echo
898 fi
3ca91ccd
JR
899 echo
900 echo 'If poldek aborts after migration with rpmdb error, this is expected behaviour,'
901 echo 'you should ignore it and restart poldek'
902 echo
f9d0e5f6 903 %{_rpmlibdir}/dbupgrade.sh
be4d3036 904fi
f7779567 905
b7ee97ef
JR
906%triggerpostun -- %{name} < 4.4.9-44
907%{_rpmlibdir}/hrmib-cache
908
ceaaacee
JB
909%post lib -p /sbin/ldconfig
910%postun lib -p /sbin/ldconfig
76214164 911
37a5a2fc 912%pretrans build
d755a548 913find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f
8f76a271 914
3684d90f
JB
915%files -f %{name}.lang
916%defattr(644,root,root,755)
d1f5e279 917%doc ChangeLog CREDITS README
3684d90f 918
3acb62f3
ER
919%dir /etc/pki/rpm-gpg
920/etc/pki/rpm-gpg/PLD-3.0-Th-GPG-key.asc
54eb1770 921
7a9d72ce 922%attr(755,root,root) /bin/rpm
8191f3c5
JR
923%attr(755,root,root) %{_bindir}/rpmdb
924%attr(755,root,root) %{_bindir}/rpmkeys
925%attr(755,root,root) %{_bindir}/rpmquery
926%attr(755,root,root) %{_bindir}/rpmverify
e73478cd 927
66edd895 928%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
b1541d4c 929%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros.lang
950eead3 930%dir %{_sysconfdir}/rpm/sysinfo
caf453d4 931# these are ok to be replaced
950eead3 932%config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
caf453d4 933
09bb810c 934%{_mandir}/man8/rpm.8*
8191f3c5
JR
935%{_mandir}/man8/rpmdb.8*
936%{_mandir}/man8/rpmkeys.8*
937%{_mandir}/man8/rpm-misc.8*
feb1f12e 938%lang(fr) %{_mandir}/fr/man8/rpm.8*
e2025ad1 939%lang(ja) %{_mandir}/ja/man8/rpm.8*
d1f5e279 940%lang(ko) %{_mandir}/ko/man8/rpm.8*
ff7bc1e6 941%lang(pl) %{_mandir}/pl/man8/rpm.8*
cf6faebc 942%lang(ru) %{_mandir}/ru/man8/rpm.8*
740f105d 943%lang(sk) %{_mandir}/sk/man8/rpm.8*
76214164 944
7d12560f 945%dir /var/lib/rpm
4acac5de 946
cf709a39
ER
947# exported package NVRA (stamped with install tid)
948# net-snmp hrSWInstalledName queries, bash-completions
949%dir /var/cache/hrmib
950
d755a548 951%{_rpmlibdir}/rpmpopt*
8191f3c5 952%{_rpmlibdir}/rpmrc
d755a548 953%{_rpmlibdir}/macros
08697680 954%dir %{_rpmlibdir}/macros.d
e8836e1f 955%dir %{_rpmlibdir}/platform
40675133 956%{_rpmlibdir}/platform/noarch-*
c2683840 957%ifarch %{ix86} %{x8664} x32
34865f27
JR
958%{_rpmlibdir}/platform/athlon*
959%{_rpmlibdir}/platform/geode*
40675133
JR
960%{_rpmlibdir}/platform/i?86*
961%{_rpmlibdir}/platform/pentium*
34865f27
JR
962%endif
963%ifarch %{x8664} x32
964%{_rpmlibdir}/platform/amd64*
965%{_rpmlibdir}/platform/ia32e*
966%{_rpmlibdir}/platform/x86_64*
83a0601a 967%{_rpmlibdir}/platform/x32*
e23edf35
JR
968%endif
969%ifarch alpha
40675133 970%{_rpmlibdir}/platform/alpha*
e23edf35
JR
971%endif
972%ifarch ia64
40675133 973%{_rpmlibdir}/platform/ia64*
e23edf35
JR
974%endif
975%ifarch mips mipsel mips64 mips64el
40675133 976%{_rpmlibdir}/platform/mips*
e23edf35
JR
977%endif
978%ifarch %{ppc}
40675133 979%{_rpmlibdir}/platform/ppc*
e23edf35
JR
980%endif
981%ifarch sparc sparc64
40675133 982%{_rpmlibdir}/platform/sparc*
e23edf35 983%endif
3684d90f 984
396a7387 985%{_rpmlibdir}/pld/macros
a45e3899 986%{_rpmlibdir}/pld/rpmrc
396a7387 987
cf709a39
ER
988%attr(755,root,root) %{_rpmlibdir}/hrmib-cache
989
f9d0e5f6
JR
990%attr(755,root,root) %{_rpmlibdir}/dbupgrade.sh
991%attr(755,root,root) %{_rpmlibdir}/rpmdb_checkversion
992%attr(755,root,root) %{_rpmlibdir}/rpmdb_reset
df50421f 993
7d12560f
JR
994# valgrind suppression file for rpm
995%{_rpmlibdir}/rpm.supp
996
66edd895
JB
997%files base
998%defattr(644,root,root,755)
492a2bd4 999%dir %{_sysconfdir}/rpm
66edd895
JB
1000%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
1001%dir %{_rpmlibdir}
1002%attr(755,root,root) %{_bindir}/banner.sh
1003%attr(755,root,root) %{_rpmlibdir}/user_group.sh
1004%dir /var/lib/banner
1005
874f4c9a
MM
1006%files lib
1007%defattr(644,root,root,755)
40675133
JR
1008%attr(755,root,root) /%{_lib}/librpm.so.9
1009%attr(755,root,root) /%{_lib}/librpm.so.%{sover}
1010%attr(755,root,root) /%{_lib}/librpmbuild.so.9
1011%attr(755,root,root) /%{_lib}/librpmbuild.so.%{sover}
1012%attr(755,root,root) /%{_lib}/librpmio.so.9
1013%attr(755,root,root) /%{_lib}/librpmio.so.%{sover}
1014%attr(755,root,root) /%{_lib}/librpmsign.so.9
1015%attr(755,root,root) /%{_lib}/librpmsign.so.%{sover}
b0333243 1016%{?with_plugins:%dir %{_libdir}/rpm-plugins}
874f4c9a 1017
69131f1a
JB
1018%files devel
1019%defattr(644,root,root,755)
69131f1a 1020%attr(755,root,root) %{_libdir}/librpm.so
950eead3 1021%attr(755,root,root) %{_libdir}/librpmbuild.so
69131f1a 1022%attr(755,root,root) %{_libdir}/librpmio.so
40675133 1023%attr(755,root,root) %{_libdir}/librpmsign.so
950eead3
ER
1024%{_libdir}/librpm*.la
1025%{_includedir}/rpm
1026%{_pkgconfigdir}/*.pc
69131f1a 1027
69131f1a
JB
1028%files utils
1029%defattr(644,root,root,755)
d1f5e279 1030%attr(755,root,root) %{_bindir}/rpm2archive
69131f1a 1031%attr(755,root,root) %{_bindir}/rpm2cpio
fc36dfd5 1032%attr(755,root,root) %{_bindir}/rpmgraph
d1f5e279 1033%attr(755,root,root) %{_rpmlibdir}/rpm2cpio.sh
69131f1a 1034%attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
69131f1a 1035%attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
25e974c7 1036%attr(755,root,root) %{_rpmlibdir}/tgpg
d1f5e279
JR
1037%attr(755,root,root) %{_rpmlibdir}/debugedit
1038%attr(755,root,root) %{_rpmlibdir}/rpmdeps
69131f1a
JB
1039%{_mandir}/man8/rpm2cpio.8*
1040%{_mandir}/man8/rpmdeps.8*
fc36dfd5 1041%{_mandir}/man8/rpmgraph.8*
69131f1a 1042%lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
d1f5e279 1043%lang(ko) %{_mandir}/ko/man8/rpm2cpio.8*
69131f1a 1044%lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
69131f1a 1045%lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*
d1f5e279 1046%lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
fc36dfd5
JR
1047%lang(ja) %{_mandir}/ja/man8/rpmgraph.8*
1048%lang(pl) %{_mandir}/pl/man8/rpmgraph.8*
69131f1a 1049
3684d90f 1050%files build
a45ae6d8 1051%defattr(644,root,root,755)
66edd895 1052%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
01d7a578
JB
1053%attr(755,root,root) %{_rpmlibdir}/brp-*
1054%attr(755,root,root) %{_rpmlibdir}/check-files
d755a548 1055%attr(755,root,root) %{_rpmlibdir}/compress-doc
d755a548 1056%attr(755,root,root) %{_rpmlibdir}/find-spec-bcond
d755a548 1057%attr(755,root,root) %{_rpmlibdir}/install-build-tree
d1f5e279 1058%attr(755,root,root) %{_rpmlibdir}/elfdeps
01d7a578 1059%attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
c75b3936 1060%attr(755,root,root) %{_rpmlibdir}/mimetypedeps.sh
01d7a578
JB
1061# needs hacked pkg-config to return anything
1062%attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
d1f5e279 1063%attr(755,root,root) %{_rpmlibdir}/mkinstalldirs
428645e9
JR
1064# we always used scripts provided by mono-devel, maybe move them here
1065#%attr(755,root,root) %{_rpmlibdir}/mono-find-provides
1066#%attr(755,root,root) %{_rpmlibdir}/mono-find-requires
37e965e8 1067
70f8787d 1068%attr(755,root,root) %{_rpmlibdir}/fontconfig.prov
37e965e8 1069# must be here for "Requires: rpm-*prov" to work
40675133
JR
1070#%{_rpmlibdir}/macros.d/cmake
1071#%{_rpmlibdir}/macros.d/gstreamer
1072#%{_rpmlibdir}/macros.d/java
1073#%{_rpmlibdir}/macros.d/libtool
1074#%{_rpmlibdir}/macros.d/mono
1075#%{_rpmlibdir}/macros.d/perl
1076#%{_rpmlibdir}/macros.d/php
1077#%{_rpmlibdir}/macros.d/pkgconfig
1078#%{_rpmlibdir}/macros.d/python
1079#%{_rpmlibdir}/macros.d/ruby
1080#%{_rpmlibdir}/macros.d/selinux
1081#%{_rpmlibdir}/macros.d/tcl
1082#%{_rpmlibdir}/macros.rpmbuild
f9d0e5f6 1083
7d12560f
JR
1084%attr(755,root,root) %{_rpmlibdir}/check-buildroot
1085%attr(755,root,root) %{_rpmlibdir}/check-prereqs
1086%attr(755,root,root) %{_rpmlibdir}/check-rpaths
1087%attr(755,root,root) %{_rpmlibdir}/check-rpaths-worker
1088%attr(755,root,root) %{_rpmlibdir}/debuginfo.prov
1089%attr(755,root,root) %{_rpmlibdir}/desktop-file.prov
1090%attr(755,root,root) %{_rpmlibdir}/find-provides
1091%attr(755,root,root) %{_rpmlibdir}/find-requires
1092%attr(755,root,root) %{_rpmlibdir}/metainfo.prov
1093%attr(755,root,root) %{_rpmlibdir}/ocaml-find-provides.sh
1094%attr(755,root,root) %{_rpmlibdir}/ocaml-find-requires.sh
1095%attr(755,root,root) %{_rpmlibdir}/script.req
1096%attr(755,root,root) %{_rpmlibdir}/sepdebugcrcfix
1097# Fedora has this in -build, but shouldn't this be in -devel?
1098%attr(755,root,root) %{_rpmlibdir}/config.guess
1099%attr(755,root,root) %{_rpmlibdir}/config.sub
1100
f9d0e5f6
JR
1101%dir %{_rpmlibdir}/fileattrs
1102%{_rpmlibdir}/fileattrs/debuginfo.attr
1103%{_rpmlibdir}/fileattrs/desktop.attr
1104%{_rpmlibdir}/fileattrs/elf.attr
1105%{_rpmlibdir}/fileattrs/font.attr
b85e185e 1106%{_rpmlibdir}/fileattrs/java.attr
f9d0e5f6
JR
1107%{_rpmlibdir}/fileattrs/libtool.attr
1108%{_rpmlibdir}/fileattrs/metainfo.attr
1109%{_rpmlibdir}/fileattrs/ocaml.attr
1110%{_rpmlibdir}/fileattrs/perl.attr
1111%{_rpmlibdir}/fileattrs/perllib.attr
1112%{_rpmlibdir}/fileattrs/php.attr
1113%{_rpmlibdir}/fileattrs/pkgconfig.attr
1114%{_rpmlibdir}/fileattrs/python.attr
1115%{_rpmlibdir}/fileattrs/pythondist.attr
1116%{_rpmlibdir}/fileattrs/script.attr
77fcdbf7 1117
874f4c9a
MM
1118%attr(755,root,root) %{_bindir}/gendiff
1119%attr(755,root,root) %{_bindir}/rpmbuild
d1f5e279 1120%attr(755,root,root) %{_bindir}/rpmspec
874f4c9a 1121
a00926bc 1122%{_mandir}/man1/gendiff.1*
d1f5e279 1123%lang(pl) %{_mandir}/pl/man1/gendiff.1*
874f4c9a 1124%{_mandir}/man8/rpmbuild.8*
fefe9d30 1125%lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
fefe9d30 1126%lang(pl) %{_mandir}/pl/man8/rpmbuild.8*
d1f5e279 1127%{_mandir}/man8/rpmspec.8*
f3fe287f 1128
7d8492bb
JB
1129%files javaprov
1130%defattr(644,root,root,755)
1131%attr(755,root,root) %{_rpmlibdir}/java-find-requires
1132# needs jar (any jdk), jcf-dump (gcc-java) to work
40675133 1133#%attr(755,root,root) %{_rpmlibdir}/javadeps.sh
7d8492bb 1134
ec49e9fb
ER
1135%files rubyprov
1136%defattr(644,root,root,755)
40675133
JR
1137#%attr(755,root,root) %{_rpmlibdir}/gem_helper.rb
1138#%attr(755,root,root) %{_rpmlibdir}/rubygems.rb
ec49e9fb 1139
89334051
AF
1140%files perlprov
1141%defattr(644,root,root,755)
d755a548 1142%attr(755,root,root) %{_rpmlibdir}/perl.*
9805fd6d 1143
80d3b868 1144%files pythonprov
d8fcb9b0 1145%defattr(644,root,root,755)
25d296e1 1146%attr(755,root,root) %{_rpmlibdir}/pythondeps.sh
d1f5e279 1147%attr(755,root,root) %{_rpmlibdir}/pythondistdeps.py
09bb810c 1148
d36cb682
PG
1149%files php-pearprov
1150%defattr(644,root,root,755)
34865f27
JR
1151%attr(755,root,root) %{_rpmlibdir}/php.prov
1152%attr(755,root,root) %{_rpmlibdir}/php.req
9d09e076 1153%attr(755,root,root) %{_rpmlibdir}/php.req.php
d36cb682 1154
f9d0e5f6 1155%if %{with python2}
cf6faebc 1156%files -n python-rpm
42a0025c 1157%defattr(644,root,root,755)
34865f27
JR
1158%dir %{py_sitedir}/rpm
1159%attr(755,root,root) %{py_sitedir}/rpm/*.so
1160%{py_sitedir}/rpm/*.py[co]
f9d0e5f6
JR
1161%{py_sitedir}/rpm-%{version}-py*.egg-info
1162%endif
1163
1164%if %{with python3}
1165%files -n python3-rpm
1166%defattr(644,root,root,755)
1167%dir %{py3_sitedir}/rpm
1168%attr(755,root,root) %{py3_sitedir}/rpm/*.so
1169%{py3_sitedir}/rpm/*.py
1170%{py3_sitedir}/rpm-%{version}-py*.egg-info
1171%{py3_sitedir}/rpm/__pycache__
50dc9ac0 1172%endif
5c2ab5c7 1173
b0333243
JR
1174%if %{with plugins}
1175%files plugin-audit
1176%defattr(644,root,root,755)
1177%attr(755,root,root) %{_libdir}/rpm-plugins/audit.so
1178
1179%files plugin-syslog
1180%defattr(644,root,root,755)
1181%attr(755,root,root) %{_libdir}/rpm-plugins/syslog.so
1182
1183%files plugin-systemd-inhibit
1184%defattr(644,root,root,755)
1185%attr(755,root,root) %{_libdir}/rpm-plugins/systemd_inhibit.so
1186%{_mandir}/man8/rpm-plugin-systemd-inhibit.8*
1187
1188%files plugin-ima
1189%defattr(644,root,root,755)
1190%attr(755,root,root) %{_libdir}/rpm-plugins/ima.so
1191
1192%files plugin-prioreset
1193%defattr(644,root,root,755)
1194%attr(755,root,root) %{_libdir}/rpm-plugins/prioreset.so
1195
1196%files plugin-selinux
1197%defattr(644,root,root,755)
1198%attr(755,root,root) %{_libdir}/rpm-plugins/selinux.so
1199%endif
1200
8191f3c5
JR
1201%files sign
1202%defattr(644,root,root,755)
1203%attr(755,root,root) %{_bindir}/rpmsign
1204%{_mandir}/man8/rpmsign.8*
1205
5c2ab5c7
AM
1206%if %{with apidocs}
1207%files apidocs
1208%defattr(644,root,root,755)
d1f5e279
JR
1209%doc doc/librpm/html/*
1210%endif
This page took 0.830571 seconds and 4 git commands to generate.